 <div class="container"> 
  <form novalidate (ngSubmit)="pay()" #payForm="ngForm">
    <mat-form-field>
      <input matInput required [(ngModel)]="payment.cardNumber" placeholder="Card number(NNNN-NNNN-NNNN-NNNN)" name="cardNumber"
      pattern="\d\d\d\d-\d\d\d\d-\d\d\d\d-\d\d\d\d">
      <mat-error *ngIf="payForm.controls.cardNumber?.errors?.required">Card number is required</mat-error>
      <mat-error *ngIf="payForm.controls.cardNumber?.errors?.pattern">Card number format has to be "NNNN-NNNN-NNNN-NNNN"</mat-error>
    </mat-form-field>
    <mat-form-field>
      <input matInput required [(ngModel)]="payment.securityNumber" placeholder="Security number(NNN or NNNN)" name="securityNumber"
      pattern="[0-9]{3,4}">
      <mat-error *ngIf="payForm.controls.securityNumber?.errors?.required">Security number is required</mat-error>
      <mat-error *ngIf="payForm.controls.securityNumber?.errors?.pattern">Security number format has to be "NNN" or "NNNN"</mat-error>
    </mat-form-field>
    <mat-form-field>
      <input matInput required [(ngModel)]="payment.expirationDate" placeholder="Expiration date(DD/YYYY)" name="expirationDate"
      pattern="\d\d/\d\d\d\d">
      <mat-error *ngIf="payForm.controls.expirationDate?.errors?.required">Expiration date is required</mat-error>
      <mat-error *ngIf="payForm.controls.expirationDate?.errors?.pattern">Expiration date format has to be "NN/NNNN</mat-error>
    </mat-form-field>
    <div class="center">
      <button mat-button type="submit" [disabled]="!payForm.valid">Pay now</button>
      <button mat-button type="button" (click)="payLater()">Pay later</button>
    </div>
  </form>
 </div>